Billing

Get group usage breakdown by member

Returns credit usage for a group with per-member breakdown. Only accessible to group owners.

GET
/billing/usage/{group_name}

Authorization

token_auth
AuthorizationBearer <token>

Token-based authentication using access tokens.

In: header

Path Parameters

group_name*string

Query Parameters

start_date?|

Start of period (ISO 8601 UTC). Defaults to first day of current month.

Defaultnull
end_date?|

End of period (ISO 8601 UTC, exclusive). Defaults to now.

Defaultnull
resolution?Resolution

Time resolution for credit aggregation.

Default"day"
Value in"day" | "week" | "month"
breakdown?Breakdown

Controls the summary breakdown axis. 'job_type' (default) buckets by job type, 'user' buckets by group member.

Default"job_type"
Value in"job_type" | "user"

Response Body

application/json

application/json

curl -X GET "https://v2.api.piktid.com/billing/usage/string"
{
  "group_name": "string",
  "member_count": 0,
  "period_start": "string",
  "period_end": "string",
  "total_credits": 0,
  "summary": [
    {
      "period_start": "string",
      "period_end": "string",
      "job_type": "string",
      "total_credits": 0,
      "job_count": 0
    }
  ],
  "summary_by_user": null,
  "members": [
    {
      "user_id": 0,
      "email": "string",
      "username": "string",
      "total_credits": 0,
      "job_count": 0
    }
  ]
}
{
  "error": "Invalid request",
  "detail": [
    {
      "field": null,
      "message": "string",
      "position": "query"
    }
  ]
}
Empty